import type { ElementNode } from '@lightningjs/solid';
import { type SeriesResult, type SpeechType } from './speech.js';
type DebounceWithFlushFunction<T> = {
    (newValue: T): void;
    flush(): void;
    clear: VoidFunction;
};
declare module '@lightningjs/solid' {
    /**
     * Augment the existing ElementNode interface with our own
     * Announcer-specific properties.
     */
    interface IntrinsicCommonProps {
        announce?: SpeechType;
        announceContext?: SpeechType;
        title?: SpeechType;
        loading?: boolean;
    }
}
export interface Announcer {
    debug: boolean;
    cancel: VoidFunction;
    clearPrevFocus: (depth?: number) => void;
    speak: (text: SpeechType, options?: {
        append?: boolean;
        notification?: boolean;
    }) => SeriesResult;
    setupTimers: (options?: {
        focusDebounce?: number;
        focusChangeTimeout?: number;
    }) => void;
    onFocusChange?: DebounceWithFlushFunction<ElementNode[]>;
}
export declare const Announcer: Announcer;
export {};
